## sphinxext-opengraph 0.4.2

=== docs/requirements.txt ===
myst-parser==0.13.0
furo==2020.12.30b24
sphinx==3.4.0
./

=== debian/changelog ===
sphinxext-opengraph (0.4.2-2) unstable; urgency=low

  * Source only upload.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Tue, 23 Nov 2021 04:42:37 +0000

sphinxext-opengraph (0.4.2-1) unstable; urgency=low

  * Initial release. (Closes: #999741)

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 15 Nov 2021 09:12:09 +0000

=== debian/control ===
Source: sphinxext-opengraph
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Chiara Marmo <marmochiaskl@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/wpilibsuite/sphinxext-opengraph
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxext-opengraph.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxext-opengraph

Package: python3-sphinxext-opengraph
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Sphinx Extension to enable OGP support
 This Sphinx extension generates OpenGraph metadata (https://ogp.me/)
 to enable any web page to become a rich object in a social graph.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3 --buildsystem=pybuild

## sphinxext-opengraph 0.5.0

=== debian/changelog ===
sphinxext-opengraph (0.5.0-1) unstable; urgency=low

  * Update to version 0.5.0.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 29 Nov 2021 19:39:51 +0000

## sphinxext-opengraph 0.5.1

=== docs/requirements.txt ===
myst-parser==0.15.2
furo==2021.11.12.1
sphinx==4.2.0
./

=== debian/changelog ===
sphinxext-opengraph (0.5.1-1) unstable; urgency=low

  [ Chiara Marmo ]
  * Update to version 0.5.1. Run tests after build

  [ Jeroen Ploemen ]
  * d/source/options: ignore egg-info to prevent ftbfs when building
    twice in a row.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 03 Jan 2022 09:29:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
            Chiara Marmo <marmochiaskl@gmail.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
+               python3-pytest,
+               python3-sphinx,
+               python3-bs4
 Rules-Requires-Root: no
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/wpilibsuite/sphinxext-opengraph

## sphinxext-opengraph 0.6.3

=== debian/changelog ===
sphinxext-opengraph (0.6.3-1) unstable; urgency=low

  * Update to version 0.6.3.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Tue, 29 Mar 2022 07:36:35 +0000

sphinxext-opengraph (0.6.2-1) unstable; urgency=low

  * Update to version 0.6.2.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Fri, 11 Mar 2022 20:49:47 +0000

sphinxext-opengraph (0.6.1-1) unstable; urgency=low

  * Update to version 0.6.1.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Fri, 25 Feb 2022 00:10:12 +0000

## sphinxext-opengraph 0.7.2

=== debian/changelog ===
sphinxext-opengraph (0.7.2-1) unstable; urgency=low

  * Update to version 0.7.2.
  * Update standards version.
  * Retrieve version from changelog.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Thu, 03 Nov 2022 20:56:27 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-debian,
                python3-setuptools,
                python3-pytest,
                python3-sphinx,
                python3-bs4
 Rules-Requires-Root: no
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/wpilibsuite/sphinxext-opengraph
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxext-opengraph.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxext-opengraph

## sphinxext-opengraph 0.7.5

=== docs/requirements.txt ===
myst-parser==0.18.1
furo==2022.9.29
sphinx==5.2.3
./

=== debian/changelog ===
sphinxext-opengraph (0.7.5-1) unstable; urgency=low

  * Update to version 0.7.5.
  * Update standards version.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Wed, 18 Jan 2023 09:22:26 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-sphinx,
                python3-bs4
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/wpilibsuite/sphinxext-opengraph
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxext-opengraph.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxext-opengraph

## sphinxext-opengraph 0.12.0

=== debian/changelog ===
sphinxext-opengraph (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch version-local, upstream has migrated to flit.
  * Build with pybuild-plugin-pyproject and flit.
  * Update copyright (and correctly name the license).
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Aug 2025 13:47:04 +0200

sphinxext-opengraph (0.8.1-1) unstable; urgency=low

  * Update to version 0.8.1.
  * Add matplotlib dependency.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 27 Feb 2023 08:11:40 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders: Norbert Preining <norbert@preining.info>,
            Chiara Marmo <marmochiaskl@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               flit,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-debian,
                python3-setuptools,
                python3-pytest,
                python3-sphinx,
-               python3-bs4
+               python3-bs4,
+               python3-matplotlib
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/wpilibsuite/sphinxext-opengraph
 Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxext-opengraph.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxext-opengraph

=== debian/tests/control ===
Tests: unittests
Depends: @,
         python3-all,
         python3-pytest,
         python3-bs4

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sphinxext-opengraph-$1\.tar\.gz/ \
  https://github.com/wpilibsuite/sphinxext-opengraph/tags/ .*/v?(\d\S+)\.tar\.gz

## sphinxext-opengraph 0.13.0

=== debian/changelog ===
sphinxext-opengraph (0.13.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 0.13.0
  * Rename salsa-ci.yml to it's canonical name
  * Disables useless Salsa CI jobs
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop build-dep on python3-setuptools, upstream has moved to "flit"
  * Drop unused python3-debian build-dep

 -- Alexandre Detiste <tchet@debian.org>  Thu, 05 Feb 2026 12:39:36 +0100

=== debian/control ===
Source: sphinxext-opengraph
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Norbert Preining <norbert@preining.info>,
 Chiara Marmo <marmochiaskl@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-bs4,
 python3-matplotlib,
 python3-pytest,
 python3-sphinx,
Standards-Version: 4.7.3
Homepage: https://github.com/wpilibsuite/sphinxext-opengraph
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinxext-opengraph.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinxext-opengraph

Package: python3-sphinxext-opengraph
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Sphinx Extension to enable OGP support
 This Sphinx extension generates OpenGraph metadata (https://ogp.me/)
 to enable any web page to become a rich object in a social graph.

=== debian/tests/control ===
Tests:
 unittests,
Depends:
 python3-all,
 python3-bs4,
 python3-pytest,
 @,
